GET
/analyticsAuthentication
cookieSessionapiKey
required
Encrypted session cookie issued after registration or login.
cookie: sessionParameters
This operation has no path, query, header, or cookie parameters.
Responses
200
Aggregate totals for the authenticated user
application/json
{
"type": "object",
"required": [
"total_workflows",
"total_jobs",
"total_joblogs",
"total_job_execution_duration",
"workflow_kinds",
"top_workflows"
],
"properties": {
"total_workflows": {
"type": "integer",
"minimum": 0
},
"total_jobs": {
"type": "integer",
"minimum": 0
},
"total_joblogs": {
"type": "integer",
"minimum": 0,
"description": "Generated log events observed across the user's workflows regardless of retention"
},
"total_job_execution_duration": {
"type": "integer",
"minimum": 0,
"description": "Combined terminal-job execution duration in seconds"
},
"workflow_kinds": {
"type": "array",
"items": {
"type": "object",
"required": [
"kind",
"total_workflows",
"total_jobs",
"total_joblogs",
"total_job_execution_duration"
],
"properties": {
"kind": {
"type": "string"
},
"total_workflows": {
"type": "integer",
"minimum": 0
},
"total_jobs": {
"type": "integer",
"minimum": 0
},
"total_joblogs": {
"type": "integer",
"minimum": 0,
"description": "Generated log events observed for this workflow kind regardless of retention"
},
"total_job_execution_duration": {
"type": "integer",
"minimum": 0,
"description": "Combined terminal-job execution duration in seconds"
}
}
}
},
"top_workflows": {
"type": "array",
"maxItems": 10,
"items": {
"type": "object",
"required": [
"workflow_id",
"workflow_name",
"kind",
"total_jobs",
"total_joblogs",
"total_job_execution_duration"
],
"properties": {
"workflow_id": {
"type": "string",
"format": "uuid"
},
"workflow_name": {
"type": "string",
"description": "Current workflow name or Deleted workflow when only durable history remains"
},
"kind": {
"type": "string"
},
"total_jobs": {
"type": "integer",
"minimum": 0
},
"total_joblogs": {
"type": "integer",
"minimum": 0,
"description": "Generated log events observed for the workflow regardless of retention"
},
"total_job_execution_duration": {
"type": "integer",
"minimum": 0,
"description": "Combined terminal-job execution duration in seconds"
}
}
}
}
}
}401
Missing or invalid session
429
Ingress rate or connection limit exceeded for the client address
